<?php
include '../ConsumoApi/Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
	public function PA_ListarObras_Web($ASIST_Cod, $PER_Codigo)
	{
	    $conn = new Conexion();
	    $conn->reiniciarArray();
        $conn->Conectar();
        $conn->Parametro("@ASIST_Cod", $ASIST_Cod);
        $conn->Parametro("@PER_Codigo", $PER_Codigo);
        $data = $conn->Procedimiento("PROYECTOS.PA_ListarObras_Web");
        $conn->Desconectar();
        return json_encode($data);
	}
	
	public function PA_ObtenerObra_SoloNombre_PorCodigo($OB_Codigo)
	{
	    $conn = new Conexion();
	    $conn->reiniciarArray();
        $conn->Conectar();
        $conn->Parametro("@OB_Codigo", $OB_Codigo);
        $data = $conn->Procedimiento("PROYECTOS.PA_ObtenerObra_SoloNombre_PorCodigo");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);
echo json_decode($request);
switch ($request['accion']) {
    case 'PA_ListarObras_Web':
		try{
		    $ASIST_Cod = $request['ASIST_Cod'];
		    $PER_Codigo = $request['PER_Codigo'];
        	$app = new Operaciones();
        	echo $app->PA_ListarObras_Web($ASIST_Cod, $PER_Codigo);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
	  
	case 'PA_ObtenerObra_SoloNombre_PorCodigo':
		try{
		    $OB_Codigo = $request['OB_Codigo'];
        	$app = new Operaciones();
        	echo $app->PA_ObtenerObra_SoloNombre_PorCodigo($OB_Codigo);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
	    
}



